package de.dass_it.vanhelsing.gui.items;
public class ClientItem extends ItemType implements UserObjectItem{ 

	private String name;
	private String address;
	private String fdport;
	private String catalog;
	private String password;
	private String fileretention;
	private String jobretention;
	private String autoprune;
	private String maximumconcurrentjobs;
	private String priority;
	
	public ClientItem() {}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}


	public String getCatalog() {
		return catalog;
	}

	public void setCatalog(String catalog) {
		this.catalog = catalog;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getPriority() {
		return priority;
	}

	public void setPriority(String priority) {
		this.priority = priority;
	}

	public void setFdport(String fdport) {
		this.fdport = fdport;
	}

	public String getFdport() {
		return fdport;
	}

	public void setFileretention(String fileretention) {
		this.fileretention = fileretention;
	}

	public String getFileretention() {
		return fileretention;
	}

	public void setJobretention(String jobretention) {
		this.jobretention = jobretention;
	}

	public String getJobretention() {
		return jobretention;
	}

	public void setAutoprune(String autoprune) {
		this.autoprune = autoprune;
	}

	public String getAutoprune() {
		return autoprune;
	}

	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}

	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}

}
